/*
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/ClientSide/css.css to edit this template
*/
/* 
    Created on : 13/04/2022, 17:50:29
    Author     : Carlos Braga
*/

/*HOMEPAGE*/
button.home_cat_button.md-button.md-ink-ripple {
    margin: 0;
    padding: 0;
    margin: 0 6px;
    flex: auto;
    border-radius: 20px;
    text-transform: unset;
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
    border: 0px solid #8DC7E2;
    white-space: normal;
    line-height: initial;
}
button.home_cat_button.md-button.md-ink-ripple img {
    width: 100%;
}
button.home_cat_button.md-button.md-ink-ripple p {
    position: absolute;
    bottom: 12px;
    text-align: left;
    padding: 0 14px;
    color: #fff;
    font-size: 16px;
    font-weight: 700;
}
button.home_cat_button.md-button.md-ink-ripple:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 3px solid transparent;
    box-sizing: border-box;
    border-radius: 20px;
    transition: .15s all linear;
}
button.home_cat_button.md-button.md-ink-ripple.active:after {
    border-color: #8DC7E2;
}

#searchInput {
    position: relative;
    display: flex;
    margin: 18px 0 0;
}
#searchInput input {
    line-height: 48px;
    width: 100%;
    border-radius: 24px;
    border: 0px;
    padding: 0 46px 0 24px;
    font-size: 12px;
    color: #202a4e;
    font-weight: 700;
    background: #EDF2F4;
}
#searchInput input::placeholder {
    color: #202a4e;
    font-weight: 300;
}
#searchInput span {
    font-size: 20px;
    position: absolute;
    top: 50%;
    right: 18px;
    transform: translate(0,-50%);
}


button.specialSearchButton.md-button.md-ink-ripple {
    line-height: 48px;
    width: 100%;
    border-radius: 24px;
    border: 0px;
    /* box-shadow: 0px 3px 6px rgb(0 0 0 / 16%); */
    padding: 0 46px 0 24px;
    font-size: 12px;
    color: #884893;
    font-weight: 300;
    position: relative;
    margin: 0;
    text-transform: unset;
    text-align: left;
    background: #EDF2F4;
}
button.specialSearchButton.md-button.md-ink-ripple span {
    font-size: 20px;
    position: absolute;
    top: 50%;
    right: 18px;
    transform: translate(0,-50%);
}


.search_body_wrapper {
    padding: 12px;
}
.search_body_wrapper {
    padding: 12px;
    height: calc(100% - 170px);
    overflow: auto;
}
.search_group ul {
    list-style: none;
    margin: 0 0 24px;
    padding: 0;
}
.search_group ul li a {
    height: 28px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.search_group ul li a span {
    color: #e35a49;
    font-size: 12px;
    margin: 0 8px 0 0;
}


.home_featured_list_wrapper {
    padding: 12px 0;
}
.home_featured_list_container ul {
    list-style: none;
    margin: 0 -6px;
    padding: 0;
    display: flex;
    overflow: auto;
}
.home_featured_list_container ul li {
    padding: 0 6px;
}
.home_featured_list_container ul li .md-button.md-ink-ripple {
    margin: 0;
    padding: 0;
    text-transform: unset;
    position: relative;
    white-space: normal;
    line-height: normal;
    border-radius: 24px;
}
.home_featured_list_container ul li .md-button.md-ink-ripple img {
    width: 100%;
}
.home_featured_list_container ul li .md-button.md-ink-ripple p {
    position: absolute;
    bottom: 0;
    color: #fff;
    padding: 0 24px 6px 8px;
    width: 100%;
    text-align: left;
}
.home_featured_list_container.list2 ul li .md-button.md-ink-ripple {
    width: 270px;
}


ul.bullets_list_wrapper {
    padding: 0;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    overflow: auto;
}
li.bullets_list_item {
    white-space: nowrap;
    font-size: 12px;
    border: 0px solid #EDF2F4;
    border-bottom: 0px solid #EDF2F4;
    line-height: 30px;
    font-weight: 700;
    padding: 0 12px;
    border-radius: 20px;
    opacity: 1;
    margin: 0 8px 0 0;
    box-sizing: border-box;
    transition: .15s all linear;
    background: #EDF2F4;
    color: #65655E;
}
li.bullets_list_item.active {
    color: #ffffff;
    border: 0px solid #e35a49;
    border-bottom: 0px solid #884893;
    opacity: 1;
    /* line-height: 30px; */
    padding: 0 12px;
    /* border-radius: 0; */
    background: #884893;
}


ul.home_rest_list {
    padding: 0;
    margin: 0;
    list-style: none;
}
ul.home_rest_list.homeview {
    min-height: calc(100vh - 400px);
}
li.home_rest_list_item {
    box-sizing: border-box;
    padding: 6px 0;
}
.home_rest_item_container {
    /*margin: 12px 0;*/
    padding: 6px 0;
}
.home_rest_item_img_wrapper {
    position: relative;
    border-radius: 20px;
    overflow: hidden;
    background-image: url(/template/img/nopic.png);
    background-position: center;
    background-size: cover;
    width: 100%;
    height: 142px;
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
}
.home_rest_item_img_wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    object-position: center;
    border-radius: 20px;
    display: block;
    background: #fff;
    opacity: 0;
    transition: .15s opacity .5s linear;
}
.home_rest_item_img_wrapper img.lazyloaded {
    opacity: 1;
}
.home_rest_item_desc_container {
    padding: 6px 0 0;
    /* min-height: 75px; */
    display: flex;
    flex-direction: column;
}
.home_rest_item_img_wrapper.restView {
    width: 75px;
    height: 75px;
    box-shadow: 0 0;
    margin: 6px 12px 0 0;
}

.home_rest_item_desc_container p {
    margin: 0 12px 0 0;
}
.home_rest_item_desc_container p span.rest_icon {
    color: #FCB927;
    margin: 0 3px 0 0;
}
p.service_price {
    position: absolute;
    top: 12px;
    right: 12px;
    background: #884893;
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
    color: #fff;
    padding: 6px 12px;
    border-radius: 16px;
}
p.service_price span {
    color: #FCB927;
}

.home_rest_status_container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.home_rest_status_wrapper {
    background: rgb(32 42 78 / 50%);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 6px;
    box-sizing: border-box;
}
.home_rest_status_wrapper.aberto {
    background: transparent;
}
.home_rest_status_chip {
    display: flex;
    padding: 0px 0 12px;
}
.home_rest_status_wrapper .home_rest_status_chip p {
    background: #BABABA;
    line-height: 32px;
    padding: 0 12px;
    border-radius: 20px;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 10px;
}
.home_rest_status_wrapper.aberto .home_rest_status_chip p {
    background: #63A375;
}
.home_rest_status_wrapper .home_rest_status_chip p span {
    font-size: 16px;
    margin: 0 6px 0 0;
}
.home_rest_status_wrapper .home_rest_status_desc p {
    color: #fff;
    font-weight: 700;
    text-align: center;
    padding: 0 6px;
    font-size: 10px;
}
.home_rest_item_desc_wrapper h4 {
    color: #FCB927;
}

button.backtotopbutton {
    position: fixed;
    top: 100px;
    right: 12px;
    z-index: 8;
    transition: .15s all linear;
    background: #edf2f4 !important;
    color: #884893 !important;
    opacity: 1 !important;
}
button.backtotopbutton.showBackToTop {
    top: 170px;
}


.home_rest_status_desc {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 6px;
}
.home_rest_status_desc span {
    font-size: 10px;
    text-align: center;
    color: #fff;
    font-weight: 700;
}

.price_by_attribute {
    display: flex;
    flex-wrap: wrap;
}
.price_by_attribute h4 {
    display: flex;
    flex-direction: column;
    padding: 6px 24px 0 0;
}
.price_by_attribute h4 span {
    color: #884893;
    font-size: 12px;
}

.page_wrapper.altService h1 {
    color: #884893;
}
section#specialCategories .home_rest_item_desc_wrapper h3 {
    color: #884893;
}



/*PAGINA RESTAURANTE*/
.restaurant_header_wrapper {
    position: relative;
}
.restaurant_img_wrapper {
    position: absolute;
    top: 0;
    left: 0;
    height: 190px;
    width: 100%;
}
.restaurant_img_wrapper img {
    height: 190px;
    width: 100%;
    object-fit: cover;
    object-position: center;
    opacity:0;
    transition: .5s opacity linear;
}
.restaurant_img_wrapper img.loaded {
    visibility: visible !important;
    background: #fff;
    opacity: 1;
}
.restaurant_img_wrapper img.closed {
    filter: saturate(0);
}
.restaurant_backdrop {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /*background: rgb(32 42 78 / 50%);*/
}

.restaurant_header_container {
    position: relative;
    z-index: 1;
}

section.restCategoriesRest h3.sectionTitle {
    margin: 24px 0 0;
    color: #65655E;
}
section.restCategoriesRest li.bullets_list_item {
    background: #EDF2F4;
    border-radius: 24px;
    border: 0;
    font-weight: 300;
    color: #65655E;
    opacity: 1;
    padding: 0 12px;
}
section.restCategoriesRest li.bullets_list_item.active {
    background: #884893;
    color: #fff;
}
.restaurant_action_line_wrapper .round.md-button.md-ink-ripple {
    margin: 0;
    min-width: 46px;
    min-height: 46px;
    width: 46px;
    height: 46px;
    border-radius: 50%;
    font-size: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FCB927;
    background: transparent;
    border: 1px solid #FCB927;
}
.restaurant_action_line_wrapper .red.round.md-button.md-ink-ripple {
    background: #FCB927;
    color: #fff;
}
.restaurant_action_wrapper {
    position: relative;
    width: calc(100% - 24px);
    height: auto;
    /* top: 0; */
    /* left: 0; */
    margin: 50px 12px 0;
    padding: 18px 24px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    border-radius: 24px;
    background: #fff;
    max-width: 100%;
    box-shadow: 0px 3px 6px rgb(0 0 0 / 16%);
}
.restaurant_action_line_wrapper {
    justify-content: space-between;
    max-width: 250px;
    margin: 0 auto;
}
.restaurant_action_line_wrapper p {
    font-weight: 400;
    margin: 0 0 6px;
}
.restaurant_action_line_wrapper p span {
    color: #884893;
    margin: 0 6px 0 0;
}

.info_button.md-button.md-ink-ripple {
    background: #EDF2F4;
    margin: 0;
    text-transform: unset;
    font-size: 12px;
    padding: 0 18px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 24px;
    height: 48px;
    min-width: 125px;
}
.info_button.md-button.md-ink-ripple span {
    font-size: 16px;
    margin: 0 6px 0 0;
}

.home_rest_item_img_wrapper.restView img {
    width: 75px;
    height: 75px;
}






.product_bottom_sheet_container {
    top: 100%;
    position: fixed;
    left: 0;
    width: 100%;
    z-index: 1;
    background: #fff;
    max-height: calc(100% - 156px);
    overflow: auto;
    height: 0;
    transition: .15s all linear;
    box-sizing: border-box;
}
.product_bottom_sheet_container.active {
    top: 156px;
    height: 100%;
}
.product_bottom_sheet_wrapper {
    padding: 12px;
}


.product_bottomsheet_allergies_container {
    background: rgb(245 209 173 / 15%);
    padding: 6px 12px;
}
.product_bottomsheet_allergies_wrapper ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-wrap: wrap;
}
.product_bottomsheet_allergies_wrapper ul li {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    flex-direction: column;
    padding: 6px;
}
.product_bottomsheet_allergies_wrapper ul li img {
    width: 32px;
    height: 32px;
    object-fit: contain;
    object-position: center;
}
.product_bottomsheet_allergies_wrapper ul li p {
    font-size: 10px;
}

.product_bottom_sheet_submit_container {
    position: fixed;
    bottom: 0;
    width: 100%;
    left: 0;
    background: #fff;
    box-sizing: border-box;
    box-shadow: 0px 0px 0px rgb(0 0 0 / 0%);
    height: 0;
    transition: .15s all linear;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    overflow: hidden;
}
.product_bottom_sheet_container.active .product_bottom_sheet_submit_container {
    height: 100px;
    box-shadow: 0px -3px 6px rgb(0 0 0 / 16%);
}
.product_bottom_sheet_submit_wrapper {
    padding: 6px 12px;
}
.dish_selection_error_message {
    color: #EF798A;
    font-size: 14px;
    font-weight: 700;
}

input.qtyInput {
    font-size: 14px;
    font-weight: 700;
    color: #202A4E;
    background: transparent;
    border: 0;
    text-align: center;
    max-width: 36px;
}






form.dish_selection_details_form {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    flex-wrap: wrap;
}
form.dish_selection_details_form .dish_selection_details_subproducts_container {
    flex: 100%;
    margin: 12px 0;
}
.dish_selection_details_subproducts_item {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    margin: 6px 0;
}
.dish_selection_details_subproducts_item_name {
    flex: auto;
    font-size: 14px;
}
.dish_selection_details_subproducts_item_icon {
  width: 32px;
  height: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #EDF2F4;
  background: #EDF2F4;
  border-radius: 50%;
  color: #FFF;
  font-size: 24px;
  transition: .15s all linear;
}
.dish_selection_details_subproducts_item.escolhidov .dish_selection_details_subproducts_item_icon.true {
    background: #884893;
    font-size: 20px;
  border: 1px solid #884893;
}
.dish_selection_details_confirm_quantity_button_wrapper.dish_selection_details_subproducts_quantity_wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
}
.dish_selection_details_confirm_quantity_button_wrapper.dish_selection_details_subproducts_quantity_wrapper input {
    border: 0;
    font-size: 14px;
    font-weight: 700;
    text-align: center;
    max-width: 36px;
    color: #202A4E;
}
.round.md-button.md-ink-ripple[disabled] {
    background: #EDF2F4;
}


section#seeCategories h1 {
    color: #884893;
}
section#seeCategories p.warning_description {
    color: #8DC7E2;
    margin: 6px 0 12px;
}
section#seeCategories {
    margin: 24px 0;
}
section#seeCategories .product_bottom_sheet_submit_container {
    position: relative;
    height: auto;
}


.product_bottom_sheet_wrapper .home_rest_item_img_container {
    width: 100%;
}
.product_bottom_sheet_wrapper .home_rest_item_img_wrapper.restView {
    width: 100%;
    height: 175px;
}
.product_bottom_sheet_wrapper .home_rest_item_img_wrapper.restView img.lazyloaded {
    width: 100%;
    height: 100%;
}



.rest_altheader_container p {
    height: 36px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.rest_altheader_container p span {
    margin: 0 6px 0 0;
}
section#seeCategories .dish_selection_details_subproducts_inner_wrapper {
    color: #e35a49;
}


.small_dialog_title_wrapper h1.alt_title {
    color: #884893;
    border-bottom: 1px solid #EDF2F4;
    width: 100%;
    padding: 6px 0;
    /*margin: 0 0 12px;*/
}
.restdetails_item_wrapper h5 {
    margin: 12px 0 0;
}
p.pseudotitle {
    display: none;
}
p.morethanone.pseudotitle {
    display: block;
    text-decoration: underline;
}


md-radio-group.paymentRadioButton .md-label {
    direction: ltr;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
md-radio-group.paymentRadioButton .md-label img {
    margin: 0 12px 0 0;
}



md-dialog.small_dialog {
    border-radius: 20px;
}
.small_dialog_wrapper {
    padding: 16px 24px;
}
.small_dialog_title_wrapper span {
    color: #e35a49;
    font-size: 32px;
    display: none;
}
.small_dialog_title_wrapper h1 {
    color: #884893;
    margin: 6px 0;
}
.small_dialog_action_wrapper {
    padding: 12px 0 0;
}
.small_dialog_action_wrapper .round_withText.md-button {
    margin: 0 0 12px 0;
    width: 100%;
}



.small_dialog_warning_wrapper {
    padding: 16px 24px;
    background: rgb(227 90 73 / 15%);
}
ul.adicionarSeeList {
    margin: 0;
    padding: 0 6px;
    list-style: none;
}






.comam_line_container .comam_line_wrapper {
    border-top: 2px dashed #e0e0e0;
    padding: 12px 0 0;
}
.comam_line_container .comam_line_wrapper:first-child {
    border-top: 0px solid #e0e0e0;
}

.mbway_error_prevention_wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    margin: 50px 0 0;
}
.mbway_error_prevention_wrapper .round_withText.red.md-button p {
    text-align: center;
}



.slider_container {
  width: 100%;
}
.slider_cec {
    -webkit-appearance: none;
    width: 100%;
    height: 2px;
    background: #EDF2F4;
    outline: none;
    opacity: 1;
    -webkit-transition: .2s;
    transition: opacity .2s;
    margin: 18px 0;
}
.slider_cec:hover {
  opacity: 1;
}
.slider_cec::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 32px;
  height: 32px;
  background: #884893;
  cursor: pointer;
  border-radius:50%;
}
.slider_cec::-moz-range-thumb {
  width: 32px;
  height: 32px;
  background: #884893;
  border-radius:50%;
  cursor: pointer;
}
.slider_container div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 0 24px;
}

a.remove_promo_code {
    width: 100%;
    text-align: left;
    display: block;
    font-size: 12px;
    color: #e35a49;
    text-decoration: underline;
    padding: 6px 0;
}